package com.itdominator.api.dto;


import java.io.Serializable;

import org.springframework.validation.annotation.Validated;

import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.Pattern;

import lombok.Data;


@Data
@Validated
public class ThumbnailSearchCriteria implements Serializable {
    private static final long serialVersionUID = 666L;

    private boolean all;

    @Pattern(regexp = "[a-zA-Z0-9]{32}*$")
    private String hash;

    @Min(value = 1L)
    @Max(value = 99999999L)
    private int id;
}
